package com.bocloud.cmp.model;

import java.util.List;

public class HostOperateModel {
    private String uuid;
    private String name;
    private Long vdcId;
    private String vdcName;
    private Long clusterId;
    private String clusterName;
    private Long hostId;
    private String hostName;
    private Long vendorId;
    private String hostIp; // 主机IP
    private String privateIp; // 私有IP
    private String publicIp; // 公有IP
    private List<String> getewayIps; // 网关IP
    private Integer port; // 端口
    private String username; // 用户名
    private String password; // 密码
    private String sslThumbprint;// SSL证书指纹
    private List<String> hosts;
    private Long hmcId;
    private String hmcUuid;
    private String jenkinsUrl;
    private String saltMasterUrl;
    private String targetServers;
    private String host;
    private String hostType;
    private List<String> roles;
    private boolean forceDelete = false;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the vdcId
     */
    public Long getVdcId() {
        return vdcId;
    }

    /**
     * @param vdcId the vdcId to set
     */
    public void setVdcId(Long vdcId) {
        this.vdcId = vdcId;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @return the clusterId
     */
    public Long getClusterId() {
        return clusterId;
    }

    /**
     * @param clusterId the clusterId to set
     */
    public void setClusterId(Long clusterId) {
        this.clusterId = clusterId;
    }

    /**
     * @return the clusterName
     */
    public String getClusterName() {
        return clusterName;
    }

    /**
     * @param clusterName the clusterName to set
     */
    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    /**
     * @return the hostId
     */
    public Long getHostId() {
        return hostId;
    }

    /**
     * @param hostId the hostId to set
     */
    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    /**
     * @return the hostName
     */
    public String getHostName() {
        return hostName;
    }

    /**
     * @param hostName the hostName to set
     */
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the hostIp
     */
    public String getHostIp() {
        return hostIp;
    }

    /**
     * @param hostIp the hostIp to set
     */
    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    /**
     * @return the username
     */
    public String getUsername() {
        return username;
    }

    /**
     * @param username the username to set
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @return the hosts
     */
    public List<String> getHosts() {
        return hosts;
    }

    /**
     * @param hosts the hosts to set
     */
    public void setHosts(List<String> hosts) {
        this.hosts = hosts;
    }

    /**
     * @return the sslThumbprint
     */
    public String getSslThumbprint() {
        return sslThumbprint;
    }

    /**
     * @param sslThumbprint the sslThumbprint to set
     */
    public void setSslThumbprint(String sslThumbprint) {
        this.sslThumbprint = sslThumbprint;
    }

    public HostOperateModel() {
        super();
    }

    public Long getHmcId() {
        return hmcId;
    }

    public void setHmcId(Long hmcId) {
        this.hmcId = hmcId;
    }

    public String getHmcUuid() {
        return hmcUuid;
    }

    public void setHmcUuid(String hmcUuid) {
        this.hmcUuid = hmcUuid;
    }

    public String getJenkinsUrl() {
        return jenkinsUrl;
    }

    public void setJenkinsUrl(String jenkinsUrl) {
        this.jenkinsUrl = jenkinsUrl;
    }

    public String getSaltMasterUrl() {
        return saltMasterUrl;
    }

    public void setSaltMasterUrl(String saltMasterUrl) {
        this.saltMasterUrl = saltMasterUrl;
    }

    public String getTargetServers() {
        return targetServers;
    }

    public void setTargetServers(String targetServers) {
        this.targetServers = targetServers;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getHostType() {
        return hostType;
    }

    public void setHostType(String hostType) {
        this.hostType = hostType;
    }

    public String getPrivateIp() {
        return privateIp;
    }

    public void setPrivateIp(String privateIp) {
        this.privateIp = privateIp;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public List<String> getGetewayIps() {
        return getewayIps;
    }

    public void setGetewayIps(List<String> getewayIps) {
        this.getewayIps = getewayIps;
    }

    public List<String> getRoles() {
        return roles;
    }

    public void setRoles(List<String> roles) {
        this.roles = roles;
    }

    public boolean isForceDelete() {
        return forceDelete;
    }

    public void setForceDelete(boolean forceDelete) {
        this.forceDelete = forceDelete;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }
}
